## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit 511261e12d23d80cc3c08290022380b8d3411f9c
%global date 20240927
%{?commit:%global shortcommit %(c=%{commit}; echo ${c:0:7})}

Name:           idevicerestore
Version:        1.0.0^%{date}git%{shortcommit}
Release:        %autorelease
Summary:        Restore/upgrade firmware of iOS devices

License:        LGPL-3.0-only
URL:            https://github.com/libimobiledevice/idevicerestore
%if %{defined commit}
Source:         %{url}/archive/%{commit}/%{name}-%{commit}.tar.gz
%else
Source:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz
%endif

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  libtool
BuildRequires:  make

BuildRequires:  libcurl-devel
BuildRequires:  libimobiledevice-devel
BuildRequires:  libimobiledevice-glue-devel
BuildRequires:  libirecovery-devel
BuildRequires:  libplist-devel
BuildRequires:  libtatsu-devel
BuildRequires:  libusbmuxd-devel
BuildRequires:  libzip-devel
BuildRequires:  zlib-devel

%description
idevicerestore is a command-line application to restore firmware files to iOS
devices. In general, upgrades and downgrades are possible, however subject to
availability of SHSH blobs from Apple for signing the firmware files.

%prep
%if %{defined commit}
%autosetup -p1 -n %{name}-%{commit}
echo %{version} > .tarball-version
%else
%autosetup -p1
%endif

%build
NOCONFIGURE=1 ./autogen.sh
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS NEWS README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
## START: Generated by rpmautospec
* Sun Sep 29 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 1.0.0^20240927git511261e-1
- Update to git snapshot 511261e

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0^20230523git609f7f0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0^20230523git609f7f0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0^20230523git609f7f0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Aug 19 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1.0.0^20230523git609f7f0-2
- Backport upstream PR to support more Mac models

* Fri Jul 28 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1.0.0^20230523git609f7f0-1
- Update to git snapshot 609f7f0

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Mar 31 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 1.0.0-1
- Initial import; Fixes: RHBZ#2069800
## END: Generated by rpmautospec
